Verify
POST
/me/phone/verify
const url = 'https://example.com/me/phone/verify';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"code":"example","e164":"example","own_pubkey":"example","own_token":"example","proof":{"c":"example","s":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/me/phone/verify \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "e164": "example", "own_pubkey": "example", "own_token": "example", "proof": { "c": "example", "s": "example" } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PhoneVerifyIn
object
code
required
Code
string
e164
required
E164
string
own_pubkey
required
Own Pubkey
string
own_token
required
Own Token
string
proof
required
DleqProofIn
object
c
required
C
string
s
required
S
string
Examplegenerated
{ "code": "example", "e164": "example", "own_pubkey": "example", "own_token": "example", "proof": { "c": "example", "s": "example" }}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PhoneVerifyOut
object
republish_required
required
Republish Required
boolean
verified_at
required
Verified At
string format: date-time
Examplegenerated
{ "republish_required": true, "verified_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}